#####################################################################
# General wav file listener configuration
#####################################################################
# role: Sets the process as a talker or listener. Valid values are
# talker or listener
role = listener

# stream_addr: Used on the listener and should be set to the 
# mac address of the talker.
stream_addr = 84:7E:40:2C:1b:3a

# stream_uid: The unique stream ID. The talker and listener must
# both have this set the same.
stream_uid = 1

# dest_addr: When SRP is being used the destination address only needs to
# be set in the talker.  If SRP is not being used the destination address
# needs to be set in both side the talker and listener.
# The destination is a multicast address, not a real MAC address, so it
# does not match the talker or listener's interface MAC.  There are 
# several pools of those addresses for use by AVTP defined in 1722.
# At this time they need to be locally administered and must be in the range
# of 91:E0:F0:00:FE:00 - 91:E0:F0:00:FE:FF.
# Typically :00 for the first stream, :01 for the second, etc.
#dest_addr = 91:e0:f0:00:fe:00

# max_interval_frames: The maximum number of packets that will be sent during 
# an observation interval. This is only used on the talker.
#max_interval_frames = 1

# max_transit_usec: Allows manually specifying a maximum transit time. 
# On the talker this value is added to the PTP walltime to create the AVTP Timestamp.
# On the listener this value is used to validate an expected valid timestamp range.
# Note: For the listener the map_nv_item_count value must be set large enough to 
# allow buffering at least as many AVTP packets that can be transmitted  during this 
# max transit time.
max_transit_usec = 50000

# raw_tx_buffers: The number of raw socket transmit buffers. Typically 4 - 8 are good values.
# This is only used by the talker. If not set internal defaults are used.
#raw_tx_buffers = 1

# raw_rx_buffers: The number of raw socket receive buffers. Typically 50 - 100 are good values.
# This is only used by the listener. If not set internal defaults are used.
#raw_rx_buffers = 100

# report_seconds: How often to output stats. Defaults to 10 seconds. 0 turns off the stats. 
# report_seconds = 0

# Ethernet Interface Name. Only needed on some platforms when stack is built with no endpoint functionality
# ifname = eth0

#####################################################################
# Mapping module configuration
#####################################################################
# map_lib: The name of the library file (commonly a .so file) that 
#  implements the Initialize function.  Comment out the map_lib name
#  and link in the .c file to the openavb_tl executable to embed the mapper
#  directly into the executable unit. There is no need to change anything
#  else. The Initialize function will still be dynamically linked in.
map_lib = libopenavb_map_uncmp_audio.so

# map_fn: The name of the initialize function in the mapper.
map_fn = openavbMapUncmpAudioInitialize

# map_nv_item_count: The number of media queue elements to hold.
map_nv_item_count = 400

# map_nv_tx_rate: Transmit rate.
# This must be set for the uncompressed audio mapping module.
map_nv_tx_rate = 8000

# map_nv_packing_factor: Multiple of how many packets of audio frames to place in a media queue item. 
# Note: Typically when decreasing the map_nv_tx_rate the packing factor will also be decreased since
# the number of frames per packet will be increasing.
map_nv_packing_factor = 256

#####################################################################
# Interface module configuration
#####################################################################
# intf_lib: The name of the library file (commonly a .so file) that 
#  implements the Initialize function.  Comment out the intf_lib name
#  and link in the .c file to the openavb_tl executable to embed the interface
#  directly into the executable unit. There is no need to change anything
#  else. The Initialize function will still be dynamically linked in.
# intf_fn: The name of the initialize function in the interface.
intf_lib = libopenavb_intf_wav_file.so

# intf_fn: The name of the initialize function in the interface.
intf_fn = openavbIntfWavFileInitialize

# intf_nv_ignore_timestamp: If set the listener will ignore the timestamp on media queue items.
# intf_nv_ignore_timestamp = 1

# intf_nv_audio_rate: Audio sample rate, must be consistenet with wav file sample rate
intf_nv_audio_rate = 48000

# intf_nv_audio_bit_depth: must be consistenet with wav file bit depth
intf_nv_audio_bit_depth = 16

# intf_nv_audio_channels: must be consistenet with wav file audio channels
intf_nv_audio_channels = 1

#intf_nv_number_of_data_bytes: Size of sample data counted in bytes. This field should be equal to Subchunk2Size field
#in wav file to be transferred. This data is printed out by talker when started with wav interface.
# see: INFO: Number of data bytes:
intf_nv_number_of_data_bytes = 9600

#intf_nv_file_name_rx: Name of wav file where received data will be stored. Finally it should be the same as
#original wav file transferred by talker.
intf_nv_file_name_rx = wavfileout.wav

